[IPython-dev] 'time' crash on Mac OSX

Matthew Brett matthew.brett@gmail....
Tue Dec 15 12:43:10 CST 2009


Hi,

I am running the latest bzr on Mac OS X, and I'm getting this:

blair:~ mb312$ ipython
Python 2.6.4 (r264:75706, Nov 29 2009, 00:03:57)
Type "copyright", "credits" or "license" for more information.

IPython 0.11.bzr.r1205 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object'. ?object also works, ?? prints more.

In [1]: time print 'hello world'
------------------------------------------------------------
Traceback (most recent call last):
  File "<ipython console>", line 1, in <module>
  File "/Users/mb312/usr/local/lib/python2.6/site-packages/IPython/core/iplib.py",
line 1606, in magic
    return result
  File "/Users/mb312/usr/local/lib/python2.6/contextlib.py", line 34,
in __exit__
    self.gen.throw(type, value, traceback)
  File "/Users/mb312/usr/local/lib/python2.6/contextlib.py", line 113, in nested
    yield vars
  File "/Users/mb312/usr/local/lib/python2.6/site-packages/IPython/core/iplib.py",
line 1605, in magic
    result = fn(magic_args)
  File "/Users/mb312/usr/local/lib/python2.6/site-packages/IPython/core/magic.py",
line 1928, in magic_time
    expr = self.shell.prefilter(parameter_s,False)
AttributeError: 'InteractiveShell' object has no attribute 'prefilter'

I've appended the top of my build output.

Have I missed a dependency somewhere?

Thanks a lot,

Matthew



All changes applied successfully.
Updated to revision 1217.
============================================================================
BUILDING IPYTHON
                python: 2.6.4 (r264:75706, Nov 29 2009, 00:03:57)  [GCC
                        4.2.1 (Apple Inc. build 5646) (dot 1)]
              platform: darwin

OPTIONAL DEPENDENCIES
        Zope.Interface: yes
               Twisted: 9.0.0
/Users/mb312/usr/local/lib/python2.6/site-packages/foolscap-0.4.2-py2.6.egg/foolscap/banana.py:2:
DeprecationWarning: the sets module is deprecated
              Foolscap: 0.4.2
               OpenSSL: 0.10
                sphinx: 0.6.3
              pygments: 1.1.1
                  nose: 0.11.1
               pexpect: no (required for running standalone doctests)
running clean


More information about the IPython-dev mailing list